Package org.apache.felix.log

## Class RootLoggerContextImpl

- java.lang.Object
- - org.apache.felix.log.LoggerContextImpl
  - - org.apache.felix.log.RootLoggerContextImpl

All Implemented Interfaces:
  `org.osgi.service.log.admin.LoggerContext`

    public class RootLoggerContextImpl
    extends LoggerContextImpl

### Field Summary

### Fields inherited from class org.apache.felix.log.LoggerContextImpl

`_levels, _lock, _loggerAdminImpl, _rootContext`

### Fields inherited from interface org.osgi.service.log.admin.LoggerContext

`LOGGER_CONTEXT_DEFAULT_LOGLEVEL, LOGGER_CONTEXT_PID`

### Constructor Summary

Constructors
`RootLoggerContextImpl​(String defaultLogLevelString, LoggerAdminImpl loggerAdminImpl)`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.osgi.service.log.LogLevel` `getEffectiveLogLevel​(String name)`
`void` `setLogLevels​(Map<String,​org.osgi.service.log.LogLevel> logLevels)`

### Methods inherited from class org.apache.felix.log.LoggerContextImpl

`ancestor, clear, getLogLevels, getName, isEmpty, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### RootLoggerContextImpl

    public RootLoggerContextImpl​(String defaultLogLevelString,
                                 LoggerAdminImpl loggerAdminImpl)

### Method Detail

#### getEffectiveLogLevel

    public org.osgi.service.log.LogLevel getEffectiveLogLevel​(String name)

Specified by:
  `getEffectiveLogLevel` in interface `org.osgi.service.log.admin.LoggerContext`
Overrides:
  `getEffectiveLogLevel` in class `LoggerContextImpl`

#### setLogLevels

    public void setLogLevels​(Map<String,​org.osgi.service.log.LogLevel> logLevels)

Specified by:
  `setLogLevels` in interface `org.osgi.service.log.admin.LoggerContext`
Overrides:
  `setLogLevels` in class `LoggerContextImpl`